changeset 5:7964a2a26d75

added init scripts
author Simon Horman <horms@verge.net.au>
date Tue, 14 May 2002 10:19:08 +0900
parents 72f0096b0e42
children d3545ac68b18
files Makefile.am configure.in etc/.cvsignore etc/Makefile.am etc/rc.d/.cvsignore etc/rc.d/Makefile.am etc/rc.d/perdition-pbs.debian.in etc/rc.d/perdition-pbs.rh.in
diffstat 8 files changed, 199 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/Makefile.am	Tue May 14 09:53:09 2002 +0900
+++ b/Makefile.am	Tue May 14 10:19:08 2002 +0900
@@ -23,7 +23,7 @@
 #
 ######################################################################/
 
-SUBDIRS = pbs
+SUBDIRS = pbs etc
 
 EXTRA_DIST = \
 configure \
--- a/configure.in	Tue May 14 09:53:09 2002 +0900
+++ b/configure.in	Tue May 14 10:19:08 2002 +0900
@@ -98,4 +98,11 @@
 as )
 
 
-AC_OUTPUT(Makefile pbs/Makefile INSTALL)
+AC_OUTPUT(
+Makefile 
+pbs/Makefile 
+etc/Makefile 
+etc/rc.d/Makefile 
+etc/rc.d/perdition-pbs.debian
+etc/rc.d/perdition-pbs.rh
+INSTALL)
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/.cvsignore	Tue May 14 10:19:08 2002 +0900
@@ -0,0 +1,2 @@
+Makefile.in
+Makefile
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/Makefile.am	Tue May 14 10:19:08 2002 +0900
@@ -0,0 +1,30 @@
+######################################################################
+# Makefile.am                                                 May 2002
+# Horms                                             horms@vergenet.net
+#
+# perdition-pbs
+# POP before SMTP Tools
+# Copyright (C) 2002  Horms <horms@vergenet.net>
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307  USA
+#
+######################################################################
+
+SUBDIRS = rc.d
+
+EXTRA_DIST = 
+
+m4datadir = $(datadir)/aclocal
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/rc.d/.cvsignore	Tue May 14 10:19:08 2002 +0900
@@ -0,0 +1,4 @@
+Makefile.in
+Makefile
+perdition-pbs.rh
+perdition-pbs.debian
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/rc.d/Makefile.am	Tue May 14 10:19:08 2002 +0900
@@ -0,0 +1,30 @@
+######################################################################
+# Makefile.am                                            November 2000
+# Horms                                             horms@vergenet.net
+#
+# perdition-pbs
+# Mail retrieval proxy server
+# Copyright (C) 1999-2002  Horms <horms@vergenet.net>
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307  USA
+#
+######################################################################
+
+EXTRA_DIST = \
+  perdition-pbs.rh \
+  perdition-pbs.rh.in \
+  perdition-pbs.debian \
+  perdition-pbs.debian.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/rc.d/perdition-pbs.debian.in	Tue May 14 10:19:08 2002 +0900
@@ -0,0 +1,59 @@
+#!/bin/sh
+######################################################################
+# Version:                                                    May 2002
+# Author:                                   Horms <horms@vergenet.net>
+#
+# Debian init script for perdition-pbs
+# based on /etc/init.d/skeleton
+#
+# perdition-pbs
+# POP Before SMTP Tools
+# Copyright (C) 2002  Horms
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307  USA
+#
+######################################################################
+
+
+PATH=@prefix@/sbin:/bin:/usr/bin:/sbin:/usr/sbin
+NAME=perdition-pbs
+
+test -f $DAEMON || exit 0
+
+case "$1" in
+  start)
+    start-stop-daemon --start --verbose --name perdition-pbs-daemon \
+        --exec @prefix@/sbin/perdition-pbs-daemon -- $FLAGS
+    ;;
+  stop)
+    start-stop-daemon --stop --verbose --name perdition-pbs-daemon
+        --exec @prefix@/sbin/perdition-pbs-daemon
+  restart)
+    $0 stop 
+    $0 start 
+    ;;
+  force-reload|reload)
+    # echo "Reloading $NAME configuration files"
+    # start-stop-daemon --stop --signal 1 --quiet --exec $DAEMON
+    ;;
+  *)
+    # echo "Usage: /etc/init.d/$NAME {start|stop|reload}"
+    echo "Usage: /etc/init.d/$NAME {start|stop}"
+    exit 1
+    ;;
+esac
+
+exit 0
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/etc/rc.d/perdition-pbs.rh.in	Tue May 14 10:19:08 2002 +0900
@@ -0,0 +1,65 @@
+#!/bin/sh
+######################################################################
+# Version:                                                    May 2002
+# Author:                                   Horms <horms@vergenet.net>
+#
+# Red Hat init script for perdition-pbs
+# Adapted from: Tomasz Kłoczko, <kloczek@rudy.mif.pg.gda.pl>
+#               Michele Marziani <marziani@fe.infn.it>
+#
+# perdition-pbs:
+# chkconfig: 2345 81 29
+# description: Perdition-PBS provides Tools for doing \
+# POP before SMTP
+#
+# perdition-pbs
+# POP Before SMTP Tools
+# Copyright (C) 2002  Horms
+# 
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307  USA
+#
+######################################################################
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# See how we were called.
+case "$1" in
+  start)
+       	echo -n "Starting perdition-pbs services: "
+	daemon @prefix@/sbin/perdition-pbs-daemon $FLAGS
+	touch /var/lock/subsys/perdition-pbs-daemon
+       	echo
+	;;
+  status)
+        status perdition-pbs-daemon
+	;;
+  restart|reload)
+        $0 stop
+	$0 start
+        ;;
+  stop)
+       	echo -n "Shutting down perdition-pbs services (POP3): "
+	killproc perdition-pbs-daemon
+	rm -f /var/lock/subsys/perdition-pbs-daemon
+       	echo
+	;;
+  *)
+	echo "Usage: perdition-pbs {start|stop|status|restart|reload}"
+	exit 1
+esac
+
+exit 0